import { BasicColumn, FormSchema } from '@/components/Table';
// 引入开关组件
type CheckedType = boolean | string | number;

export const columns: BasicColumn[] = [
  {
    title: '属性名称',
    dataIndex: 'name',
    width: 150,
    editable: true,
    edit: true,
  },
  {
    title: '描述',
    dataIndex: 'description',
    width: 150,
    editable: true,
    edit: true,
  },
  {
    title: '属性英文名',
    dataIndex: 'englishName',
    width: 150,
    editable: true,
    edit: true,
  },
  {
    title: '是否必填',
    dataIndex: 'isWrite',
    editable: true,
    edit: true,
    editComponent: 'RadioGroup',
    editComponentProps: {
      options: [
        {
          label: '是',
          value: '1',
        },
        {
          label: '否',
          value: '0',
        },
      ],
    },
    width: 150,
  },
  {
    title: '是否展示',
    dataIndex: 'isShow',
    editable: true,
    edit: true,
    editComponent: 'RadioGroup',
    editComponentProps: {
      options: [
        {
          label: '是',
          value: '1',
        },
        {
          label: '否',
          value: '0',
        },
      ],
    },
    width: 150,
  },
  {
    title: '类型',
    dataIndex: 'type',
    edit: true,
    editable: true,
    editComponent: 'Select',
    editComponentProps: {
      options: [
        {
          label: '字符串',
          value: '1',
        },
        {
          label: '布尔',
          value: '2',
        },
        {
          label: '整型',
          value: '3',
        },
        {
          label: '浮点型',
          value: '4',
        },
      ],
    },
    width: 200,
  },
];
export const searchFormSchema: FormSchema[] = [
  {
    field: 'name',
    label: '名称',
    component: 'Input',
    componentProps: {
      placeholder: '请输入元模型名称',
    },
    colProps: { span: 7 },
  },
];
export const modelFormSchema: any[] = [
  {
    field: 'modelId',
    label: '路径',
    component: 'TreeSelect',
    colProps: { lg: 24, md: 24 },
    componentProps: {
      fieldNames: {
        label: 'modelName',
        value: 'businessId',
      },
      getPopupContainer: () => document.body,
    },
    required: true,
  },
  {
    field: 'name',
    label: '元模型名称',
    component: 'Input',
    colProps: { lg: 24, md: 24 },
    rules: [
      {
        required: true,
        message: '请输入登录名',
      },
    ],
  },
  {
    field: 'username',
    label: '数据资产类型',
    component: 'Select',
    colProps: { lg: 24, md: 24 },
    componentProps: {
      options: [
        {
          label: 'Inceptor表',
          value: 'Inceptor',
        },
        {
          label: 'MySQL表',
          value: 'MySQL',
        },
        {
          label: 'DB2表',
          value: 'DB2',
        },
        {
          label: 'ArgoDB表',
          value: 'ArgoDB',
        },
      ],
    },
    rules: [
      {
        required: true,
        message: '请输入数据资产类型',
      },
    ],
  },
];

/**移动*/
export const MoveFormSchema: any[] = [
  {
    field: 'institutionId',
    label: '所属机构',
    component: 'TreeSelect',
    colProps: { lg: 24, md: 24 },
    componentProps: {
      fieldNames: {
        label: 'institutionName',
        value: 'businessId',
      },
      getPopupContainer: () => document.body,
    },
    required: true,
  },
];
export const addTypeFormSchema: any[] = [
  {
    field: 'name',
    label: '类别名称',
    component: 'Input',
    componentProps: {
      placeholder: '请输入类别名称',
    },
    rules: [
      {
        required: true,
        message: '请输入类别名称',
      },
    ],
    colProps: { span: 7 },
  },
];
