import {getAllRoleList} from '@/api/system/role/role';
import { BasicColumn, FormSchema } from '@/components/Table';
import {h} from "vue";
import {Tag} from "ant-design-vue";
import { Switch } from 'ant-design-vue';
import {useMessage} from "@/hooks/web/useMessage";
import {changeFlagApi} from "@/api/system/user/user"; // 引入开关组件
type CheckedType = boolean | string | number;


export const columns: BasicColumn[] = [
  {
    title: '属性名称',
    dataIndex: 'name',
    width: 150,
  },
  {
    title: '描述',
    dataIndex: 'description',
    width: 150,
  },
  {
    title: '属性英文名',
    dataIndex: 'englishName',
    width: 150,
  },
  {
    title: '是否必填',
    dataIndex: 'isWrite',
    width: 150,
    customRender: ({ record }) => (record.isWrite === '1' ? '是' : '否'),
  },
  {
    title: '是否显示',
    dataIndex: 'isShow',
    width: 150,
    customRender: ({ record }) => (record.isShow === '1' ? '是' : '否'),
  },
  {
    title: '类型',
    dataIndex: 'type',
    width: 200,
    customRender: ({ record }) => {
      const typeMap = {
        '1': '字符串',
        '2': '布尔',
        '3': '整型',
        '4': '浮点型',
      };
      return typeMap[record.type];
    },
  },
];
