import { getAllRoleList } from '@/api/system/role/role';
import { BasicColumn, FormSchema } from '@/components/Table';
import { h } from 'vue';
import { Tag, Switch } from 'ant-design-vue';
import { useMessage } from '@/hooks/web/useMessage';
import { changeFlagApi } from '@/api/system/user/user';
// 引入开关组件
type CheckedType = boolean | string | number;

export const TreeData: any[] = [
  {
    "delFlag": '0',
    "flag": '1',
    "businessId": 100,
    "modelName": '逻辑模型',
    "parentId": 0,
    "code": '001',
    "ancestors": '0',
    "orderNum": 0,
    "holder": 'admin',
    "createDate": '2024-10-24 10:04:04',
    "updateDate": '2024-10-24 10:04:04',
    "selectType": null,
    "type": 'MySQL',
    icon: 'ion:settings-outline',
  },
  {
    "delFlag": '0',
    "flag": '1',
    "businessId": 101,
    "modelName": '逻辑模型文件夹1',
    "parentId": 100,
    "code": '002',
    "ancestors": '0,100',
    "orderNum": 1,
    "selectType": null,
    "holder": 'admin',
    "createDate": '2024-10-24 10:04:04',
    "updateDate": '2024-10-24 10:04:04',
    "type": 'MySQL',
    icon: 'ant-design:folder-open-outlined',
  },
  {
    "delFlag": '0',
    "flag": '1',
    "businessId": 102,
    "modelName": '逻辑模型文件夹2',
    "parentId": 100,
    "code": '002',
    "ancestors": '0,100',
    "orderNum": 1,
    "selectType": null,
    "holder": 'admin',
    "createDate": '2024-10-24 10:04:04',
    "updateDate": '2024-10-24 10:04:04',
    "type": 'MySQL',
    icon: 'ant-design:folder-open-outlined',
  },
  {
    "delFlag": '0',
    "flag": '1',
    "businessId": 103,
    "modelName": '逻辑模型文件夹3',
    "parentId": 100,
    "code": '002',
    "ancestors": '0,100',
    "orderNum": 1,
    "selectType": null,
    "holder": 'admin',
    "createDate": '2024-10-24 10:04:04',
    "updateDate": '2024-10-24 10:04:04',
    "type": 'MySQL',
    icon: 'ant-design:folder-open-outlined',
  },
  {
    "delFlag" : "0",
    "flag" : "1",
    "businessId" : 201,
    "modelName" : "概念元模型",
    "parentId" : 101,
    "code": '002',
    "ancestors" : "0,100，101",
    "orderNum" : 1,
    "selectType" : null,
    "holder":"admin",
    "createDate": "2024-10-24 10:04:04",
    "updateDate": "2024-10-24 10:04:04",
    "type": 'MySQL',
    icon: 'ant-design:codepen-outlined',
  },
  {
    "delFlag" : "0",
    "flag" : "1",
    "businessId" : 202,
    "modelName" : "默认元模型",
    "parentId" : 101,
    "code": '002',
    "ancestors" : "0,100，101",
    "orderNum" : 1,
    "selectType" : null,
    "holder":"admin",
    "createDate": "2024-10-24 10:04:04",
    "updateDate": "2024-10-24 10:04:04",
    "type": 'MySQL',
    icon: 'ant-design:codepen-outlined',
  },
  {
    "delFlag" : "0",
    "flag" : "1",
    "businessId" : 203,
    "modelName" : "rac元模型",
    "parentId" : 102,
    "code": '002',
    "ancestors" : "0,100，102",
    "orderNum" : 1,
    "selectType" : null,
    "holder":"admin",
    "createDate": "2024-10-24 10:04:04",
    "updateDate": "2024-10-24 10:04:04",
    "type": 'MySQL',
    icon: 'ant-design:codepen-outlined',
  },
  {
    "delFlag" : "0",
    "flag" : "1",
    "businessId" : 204,
    "modelName" : "cor元模型",
    "parentId" : 102,
    "code": '002',
    "ancestors" : "0,100，102",
    "orderNum" : 1,
    "selectType" : null,
    "holder":"admin",
    "createDate": "2024-10-24 10:04:04",
    "updateDate": "2024-10-24 10:04:04",
    "type": 'MySQL',
    icon: 'ant-design:codepen-outlined',
  },
  {
    "delFlag" : "0",
    "flag" : "1",
    "businessId" : 205,
    "modelName" : "acc元模型",
    "parentId" : 103,
    "code": '002',
    "ancestors" : "0,100，103",
    "orderNum" : 1,
    "selectType" : null,
    "holder":"admin",
    "createDate": "2024-10-24 10:04:04",
    "updateDate": "2024-10-24 10:04:04",
    "type": 'MySQL',
    icon: 'ant-design:codepen-outlined',
  },
];

export const modelData: any[] = [
  {
    delFlag: '0',
    flag: '1',
    businessId: 309,
    username: 'yonghu1',
    nickName: '测试用户1',
    userType: '1',
    name: '测试用户1',
    createDate: '2024-10-24 10:04:04',
    institutionId: 105,
    institutionName: '财务部门',
    code: '123f',
    identity: '1',
    roleIds: null,
    roleNames: '三级用户',
    roleList: null,
    menuList: [],
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 310,
    username: 'yonghu2',
    nickName: '测试用户2',
    userType: '1',
    name: '测试用户2',
    createDate: '2024-10-25 10:05:05',
    sex: '0',
    institutionId: 105,
    institutionName: '财务部门',
    code: '123a',
    identity: '1',
    roleIds: null,
    roleNames: null,
    roleList: null,
    menuList: [],
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 317,
    username: 'yonghu3',
    nickName: '测试用户3',
    userType: '1',
    name: '测试用户3',
    createDate: '2024-10-26 10:06:06',
    sex: '1',
    institutionId: 102,
    institutionName: '研发部门',
    code: '123c',
    identity: '1',
    roleIds: null,
    roleNames: '超级管理员',
    roleList: null,
    menuList: [],
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 318,
    username: 'yonghu4',
    nickName: '测试用户4',
    userType: '1',
    name: '测试用户4',
    createDate: '2024-10-26 10:06:06',
    sex: '1',
    institutionId: 102,
    institutionName: '研发部门',
    code: '123b',
    identity: '1',
    roleIds: null,
    roleNames: '超级管理员',
    roleList: null,
    menuList: [],
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 319,
    username: 'yonghu5',
    nickName: '测试用户5',
    userType: '1',
    name: '测试用户5',
    createDate: '2024-10-26 10:06:06',
    sex: '1',
    institutionId: 102,
    institutionName: '研发部门',
    code: '123x',
    identity: '1',
    roleIds: null,
    roleNames: '超级管理员',
    roleList: null,
    menuList: [],
  },
];

export const editTableData: any[] = [
  {
    businessId: 1,
    name: '模型描述',
    description: '无',
    englishName: 'MODEL_DESCRIPTION',
    isWrite: '0',
    isShow: '0',
    type: '1',
  },
  {
    businessId: 1,
    name: '实体数量',
    description: '无',
    englishName: 'ENTITY_COUNT',
    isWrite: '0',
    isShow: '0',
    type: '1',
  },
  {
    businessId: 1,
    name: '创建时间',
    description: '无',
    englishName: 'LOGIN_MODEL_CREATE_TIME',
    isWrite: '0',
    isShow: '0',
    type: '1',
  },
  {
    businessId: 1,
    name: '更新时间',
    description: '无',
    englishName: 'LOGIN_MODEL_UPDATE_TIME',
    isWrite: '0',
    isShow: '0',
    type: '1',
  },
  {
    businessId: 1,
    name: '发布时间',
    description: '无',
    englishName: 'LOGIN_MODEL_PUBLISH_TIME',
    isWrite: '0',
    isShow: '0',
    type: '1',
  },
  {
    businessId: 1,
    name: '创建者',
    description: '无',
    englishName: 'LOGIN_MODEL_CREATE_USER',
    isWrite: '0',
    isShow: '0',
    type: '1',
  },
  {
    businessId: 1,
    name: '发布者',
    description: '无',
    englishName: 'LOGIN_MODEL_PUBLISH_USER',
    isWrite: '0',
    isShow: '0',
    type: '1',
  },
];
export const editColumnData: any[] = [
  {
    businessId: 1,
    name: '逻辑模型路径',
    description: '无',
    englishName: 'MD_COL_NAME',
    isWrite: '0',
    isShow: '0',
    type: '1',
  },
  {
    businessId: 1,
    name: '逻辑模型名称',
    description: '无',
    englishName: 'MD_COL_TYPE',
    isWrite: '0',
    isShow: '0',
    type: '1',
  },
  {
    businessId: 1,
    name: '模型描述',
    description: '无',
    englishName: 'MD_COL_TYPE_PARAM',
    isWrite: '0',
    isShow: '0',
    type: '1',
  },
];
export const editBucketData: any[] = [
  {
    businessId: 1,
    name: '实体名称',
    description: '无',
    englishName: 'ENTITY_NAME',
    isWrite: '0',
    isShow: '0',
    type: '1',
  },
  {
    businessId: 1,
    name: '实体描述',
    description: '无',
    englishName: 'ENTITY-DESCRIPTION',
    isWrite: '0',
    isShow: '0',
    type: '1',
  },
  {
    businessId: 1,
    name: '实体英文名',
    description: '无',
    englishName: 'ENTITY_ENGLISH_NAME',
    isWrite: '0',
    isShow: '0',
    type: '1',
  },
  {
    businessId: 1,
    name: '资产责任人',
    description: '无',
    englishName: 'ENTITY_OWNER',
    isWrite: '0',
    isShow: '0',
    type: '1',
  },
  {
    businessId: 1,
    name: '所属部门',
    description: '无',
    englishName: 'ENTITY_DEPT',
    isWrite: '0',
    isShow: '0',
    type: '1',
  },
];
export const editAreaData: any[] = [
  {
    businessId: 1,
    name: '属性名称',
    description: '无',
    englishName: 'MD_TAB_PARTITION_TYPE',
    isWrite: '0',
    isShow: '0',
    type: '1',
  },
  {
    businessId: 1,
    name: '创建人',
    description: '无',
    englishName: 'MD_PARTITION_COL_KEY',
    isWrite: '0',
    isShow: '0',
    type: '1',
  },
  {
    businessId: 1,
    name: '创建时间',
    description: '无',
    englishName: 'MD_TAB_PARTITION_NAME',
    isWrite: '0',
    isShow: '0',
    type: '1',
  },
  {
    businessId: 1,
    name: '关联实体',
    description: '无',
    englishName: 'MD_TAB_PARTITION_VALUE',
    isWrite: '0',
    isShow: '0',
    type: '1',
  },
];
export const setTableData: any[] = [
  {
    "businessId" : 1,
    "orginalData" : "物理模型名称",
    "physicsModel": "8",
  },
  {
    "businessId" : 2,
    "orginalData" : "表名",
    "physicsModel": "7",
  },
  {
    "businessId" : 3,
    "orginalData" : "注释",
    "physicsModel": "10",
  },
];
export const setColumnData: any[] = [
  {
    "businessId" : 1,
    "orginalData" : "中文名",
    "physicsModel": "属性名称",
  },
  {
    "businessId" : 2,
    "orginalData" : "列名",
    "physicsModel": "字段名称",
  },
  {
    "businessId" : 3,
    "orginalData" : "注释",
    "physicsModel": "属性描述",
  },
];
